<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/CapabilityAgents/Alerts/include/Alerts/Alarm.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_7cf910bd1d7603f12ef47ff650cec893.html">CapabilityAgents</a></li><li class="navelem"><a class="el" href="dir_6a3d888c77d91a2c06c3ff7a43c42895.html">Alerts</a></li><li class="navelem"><a class="el" href="dir_32ca2b1be26df65d1a152938de056228.html">include</a></li><li class="navelem"><a class="el" href="dir_0756d7cbdb43a6da05839251aad86022.html">Alerts</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a>  </div>
  <div class="headertitle">
<div class="title">Alarm.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="_alert_8h_source.html">Alerts/Alert.h</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for Alarm.h:</div>
<div class="dyncontent">
<div class="center"><img src="_alarm_8h__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_capability_agents_2_alerts_2include_2_alerts_2_alarm_8h" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_capability_agents_2_alerts_2include_2_alerts_2_alarm_8h" id="_2workplace_2avs-device-sdk_2_capability_agents_2_alerts_2include_2_alerts_2_alarm_8h">
<area shape="rect" id="node2" href="_alert_8h.html" title="Alerts/Alert.h" alt="" coords="2277,119,2374,144"/>
<area shape="rect" id="node3" href="_alert_observer_interface_8h.html" title="Alerts/AlertObserverInterface.h" alt="" coords="254,285,459,311"/>
<area shape="rect" id="node5" href="_renderer_8h.html" title="Alerts/Renderer/Renderer.h" alt="" coords="3404,285,3589,311"/>
<area shape="rect" id="node7" href="_renderer_observer_interface_8h.html" title="Alerts/Renderer/Renderer\lObserverInterface.h" alt="" coords="2291,539,2465,577"/>
<area shape="rect" id="node30" href="_focus_state_8h.html" title="AVSCommon/AVS/FocusState.h" alt="" coords="1097,199,1309,224"/>
<area shape="rect" id="node31" href="_a_v_s_common_2_utils_2include_2_a_v_s_common_2_utils_2_timing_2_timer_8h.html" title="AVSCommon/Utils/Timing\l/Timer.h" alt="" coords="2363,192,2537,231"/>
<area shape="rect" id="node43" href="_time_point_8h.html" title="AVSCommon/Utils/Timing\l/TimePoint.h" alt="" coords="5,279,179,317"/>
<area shape="rect" id="node6" href="_renderer_interface_8h.html" title="Alerts/Renderer/Renderer\lInterface.h" alt="" coords="2515,452,2689,491"/>
<area shape="rect" id="node12" href="_executor_8h.html" title="AVSCommon/Utils/Threading\l/Executor.h" alt="" coords="3402,365,3596,404"/>
<area shape="rect" id="node21" href="_media_player_interface_8h.html" title="AVSCommon/Utils/MediaPlayer\l/MediaPlayerInterface.h" alt="" coords="4149,452,4358,491"/>
<area shape="rect" id="node28" href="_media_player_observer_interface_8h.html" title="AVSCommon/Utils/MediaPlayer\l/MediaPlayerObserverInterface.h" alt="" coords="3998,365,4215,404"/>
<area shape="rect" id="node19" href="_task_thread_8h.html" title="AVSCommon/Utils/Threading\l/TaskThread.h" alt="" coords="2814,452,3008,491"/>
<area shape="rect" id="node23" href="_attachment_reader_8h.html" title="AVSCommon/AVS/Attachment\l/AttachmentReader.h" alt="" coords="4114,539,4316,577"/>
<area shape="rect" id="node27" href="_audio_format_8h.html" title="AVSCommon/Utils/AudioFormat.h" alt="" coords="4340,545,4562,571"/>
<area shape="rect" id="node26" href="_reader_policy_8h.html" title="AVSCommon/Utils/SDS\l/ReaderPolicy.h" alt="" coords="4134,625,4296,664"/>
<area shape="rect" id="node29" href="_error_types_8h.html" title="AVSCommon/Utils/MediaPlayer\l/ErrorTypes.h" alt="" coords="4457,452,4666,491"/>
<area shape="rect" id="node32" href="_logger_utils_8h.html" title="AVSCommon/Utils/Logger\l/LoggerUtils.h" alt="" coords="2112,279,2288,317"/>
<area shape="rect" id="node33" href="_logger_8h.html" title="AVSCommon/Utils/Logger\l/Logger.h" alt="" coords="1670,365,1846,404"/>
<area shape="rect" id="node35" href="_configuration_node_8h.html" title="AVSCommon/Utils/Configuration\l/ConfigurationNode.h" alt="" coords="1872,452,2086,491"/>
<area shape="rect" id="node38" href="_level_8h.html" title="AVSCommon/Utils/Logger\l/Level.h" alt="" coords="894,539,1070,577"/>
<area shape="rect" id="node39" href="_log_entry_8h.html" title="AVSCommon/Utils/Logger\l/LogEntry.h" alt="" coords="1120,452,1296,491"/>
<area shape="rect" id="node41" href="_log_level_observer_interface_8h.html" title="AVSCommon/Utils/Logger\l/LogLevelObserverInterface.h" alt="" coords="798,452,995,491"/>
<area shape="rect" id="node42" href="_sink_observer_interface_8h.html" title="AVSCommon/Utils/Logger\l/SinkObserverInterface.h" alt="" coords="3083,452,3259,491"/>
<area shape="rect" id="node40" href="_log_entry_stream_8h.html" title="AVSCommon/Utils/Logger\l/LogEntryStream.h" alt="" coords="1238,539,1414,577"/>
<area shape="rect" id="node44" href="_time_utils_8h.html" title="AVSCommon/Utils/Timing\l/TimeUtils.h" alt="" coords="439,365,613,404"/>
<area shape="rect" id="node47" href="_retry_timer_8h.html" title="AVSCommon/Utils/RetryTimer.h" alt="" coords="563,459,773,484"/>
<area shape="rect" id="node48" href="_safe_c_time_access_8h.html" title="AVSCommon/Utils/Timing\l/SafeCTimeAccess.h" alt="" coords="1371,452,1545,491"/>
</map>
</div>
</div><div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="_alarm_8h__dep__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_capability_agents_2_alerts_2include_2_alerts_2_alarm_8hdep" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_capability_agents_2_alerts_2include_2_alerts_2_alarm_8hdep" id="_2workplace_2avs-device-sdk_2_capability_agents_2_alerts_2include_2_alerts_2_alarm_8hdep">
<area shape="rect" id="node2" href="_alarm_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/Alerts/src/Alarm.cpp" alt="" coords="5,125,158,177"/>
<area shape="rect" id="node3" href="_alerts_capability_agent_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/Alerts/src/AlertsCapability\lAgent.cpp" alt="" coords="182,119,359,184"/>
<area shape="rect" id="node4" href="_s_q_lite_alert_storage_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/Alerts/src/Storage/SQLiteAlert\lStorage.cpp" alt="" coords="383,119,586,184"/>
<area shape="rect" id="node5" href="_alarm_alert_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/Alerts/test/AlarmAlertTest.cpp" alt="" coords="610,125,810,177"/>
</map>
</div>
</div>
<p><a href="_alarm_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alarm.html">alexaClientSDK::capabilityAgents::alerts::Alarm</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacealexa_client_s_d_k"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></td></tr>
<tr class="memdesc:namespacealexa_client_s_d_k"><td class="mdescLeft">&#160;</td><td class="mdescRight">Whether or not curl logs should be emitted. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1capability_agents"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents.html">alexaClientSDK::capabilityAgents</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts.html">alexaClientSDK::capabilityAgents::alerts</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
